/**
 * @file
 * Subtheme specific CSS.
 */

@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.9.1/font/bootstrap-icons.css");
@import url("https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap");

.paragraph>.paragraph__column .paragraph>.paragraph__column, .paragraph>.paragraph__column .paragraph>.paragraph__column .paragraph>.paragraph__column {
    padding-right: .25em;
    padding-left: .25em;
}


.card {
    margin: 1.6875em 0;
}
#summary, .summary {
    background-color: #f1f1f0;
    margin: 0 0 0.8em 0;
    padding: .5em 1.5em 1.5em 1.5em;
    font-size: 1.35em;
    border: 1px solid #777777;
    border-width: 0 2px 0 5px;
    color: #000;
    padding: 1.35em;
}

.accordion-button {
    position: relative;
    display: flex;
    align-items: center;
    width: 100%;
    padding: var(--bs-accordion-btn-padding-y) var(--bs-accordion-btn-padding-x);
    font-size: 1rem;
    color: var(--bs-accordion-btn-color);
    text-align: left;
    background-color: #f5f5f5;
    border: 0;
    border-radius: 0;
    overflow-anchor: none;
    transition: var(--bs-accordion-transition);
}

/* this keeps the image in the card paragraphs free of extra padding at the bottom - impacts the whole card */
.field.field--name-field-card-visual.field--type-entity-reference.field--label-hidden.field__item {
    margin-bottom: 0;
}

.paragraph.paragraph--width--full>.paragraph__column, .paragraph.paragraph--width--medium>.paragraph__column, .paragraph.paragraph--width--narrow>.paragraph__column, .paragraph.paragraph--width--tiny>.paragraph__column, .paragraph.paragraph--width--wide>.paragraph__column, .paragraph>.paragraph__column {
    position: relative;
    min-height: 1px;
    padding-right: 0;
    padding-left: 0;
}
h2.card-title {
    margin-top: 0;
}

h2.panel-title.accordion-header {
    margin: 0;
}
.field--name-field-alert-text {
    margin-left: 1em;
}

.sidebar .block {
border-style: solid;
border-width: 1px;
padding: 0;
margin: 0 0 20px;
}

.featuredbanner {
    margin-top: 1em;
    margin-bottom: 1em;
}

.sidebar nav .nav {
    margin: 0 -1rem;
    flex-direction: column;
    background-color: #f6f6f2;
}

li.nav-item {
    width: auto;
    list-style-type: none;
}

span.doc-under-review {
    color: red;
    font-style: italic;
}

.field.field--name-field-icon {
    margin-right: 1em;
}


div#block-eecd-languageswitcher {
    float: right;
}


/* -- NAVIGATION -- */

/* EECD navbar */
nav.links.nav.links-inline {
    float: right;
}
/* EECD navbar title */
h2#block-eecd-eecdmenu-menu {
    float: right;
}

/* Main site navigation - this setting keeps the left navigation from displaying wider than the left div*/
ul.clearfix.nav {
    float: right;
    clear: both;
}
/* Main site navigation - site name */
div#block-eecd-sitename {
    padding-top: 1.2em;
    padding-right: 2em;
    padding-left: 1em;
    font-size: large;
    font-weight: bold;
}
/* Show and Hide on desktop */
div#block-eecd-eecdmenumobileen {
  display: none;
}

/* Show and Hide on mobile */
@media (max-width: 767px) {

  div#block-eecd-eecdmenumobileen {
    display: block !important;
  }

  h2#block-eecd-eecdmenu-menu {
    display: none;
  }

  ul.clearfix.nav {
    display: none;
  }

}


/** 
 * From CNS
 */
 
 .content-chunk {
    background: #b8e0e8;
    border-radius: 6px;
    padding: 1.5em;
    margin-bottom: 1.5em;
    color: #333;
    z-index: 2;
    position: relative;
}

.helpful-form, #block-views-block-content-id-for-links-was-this-page-helpful-link {
    display: block;
    clear: both;
    border-top: 1px solid #777777;
    padding-top: 3em;
    margin-top: 3em;
    margin-bottom: 3em;
    padding-bottom: 1.4em;    
} 
 
 .btn-lg {
    padding: 10px 16px;
    font-size: 17.5px;
    line-height: 1.5;
    border-radius: 6px;
    text-decoration: none;
    margin: 54px auto;
}
.btn-success {
    color: #fff;
    background-color: #4a8b32;
    border-color: transparent;
}
.secondary-content {
    background-color: #f1f1f0;
    margin: 0 0 1.6875em 0;
    padding: .5em 1.5em 1.5em 1.5em;
    font-size: 14px;
}
h2.topic-title, h3.topic-title, h4.topic-title {
    font-size: 17.5px;
    margin-bottom: 0;
}

blockquote {
    padding: 13.5px 27px;
    margin: 0 0 27px;
    font-size: 1.25em;
    border-left: 5px solid #0058a4;
}

body {
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5rem;
    color: #000;
    background-color: #fff;
}


p, ul, ol {line-height: 1.5rem;}

small {
	font-size: 0.875rem;
	line-height: 1.25rem;
}

ul + h3, p + h3 {
	margin-top: 1.5rem;
}

h1 + h2,h2 + h3,h3 + h4,h4 + h5,h5 + h6 {
    margin-top: 1rem;
}

h1,h3,h4,h5,h6,.h1,.h3,.h4,.h5,.h6 {   
	font-weight: 400;
}

h1,.h1 {
    font-size: 2.25rem;
	line-height: 3.0rem;
	margin-bottom:2.0rem;
}

h1.pagetitle {
    /* shows above the banner image on basic pages - set within the view */
    font-size: 1.5em;
    margin-top: .5em;
    margin-bottom: unset;
}

h2,.h2 {
    font-size: 1.7rem;
	line-height: 2.5rem;
 /* margin-top: 2.0rem;*/
  margin-bottom: 1.5rem;
}


h3, h3 a, .h3, .h3 a {
    font-size: 1.35rem;
	line-height: 1.75rem;
    text-transform: none;
	margin-top: 1.0rem;
}

h4,.h4 {
    font-size: 1.15rem;
	line-height: 1.5rem;
}




/**
 * custom css
 */

span.mime {
    text-transform: uppercase;
}

h2.calltoaction {
    line-height: 1.2;
    font-size: xx-large;
    text-shadow: 1px 1px 20px #96a8c3;
}
.card-body.card-display {
    font-size: larger;
	color: white;
	background-color: #1cade4;
}
figcaption {
    font-size: small;
}

/*custom accordions*/
.accordion.green, .accordion.blue, .accordion.teal, .accordion.aqua, .accordion.orange {
	margin-bottom: 4px;
	padding-bottom: 30px;
}
.accordion.green .accordion-button {
    color: #fff;
    background-color: #a3d09a;
    font-size: x-large;
}
.accordion.green .accordion-body {
    background-color: #e1f5df; /*#d7eed3;*/
}
.accordion.blue .accordion-button {
    color: #fff;
    background-color: #508fc8;
    font-size: x-large;
}
.accordion.blue .accordion-body {
    background-color: #bfdbf5; /*#a7c3dc;*/
}
.accordion.teal .accordion-button {
    color: #fff;
    background-color: #4f9a91;
    font-size: x-large;
}
.accordion.teal .accordion-body {
    background-color: #d3e3e1; /*#9bb7b4;*/
}
.accordion.aqua .accordion-button {
    color: #fff;
    background-color: #49bcc9;
    font-size: x-large;
}
.accordion.aqua .accordion-body {
    background-color: #d7f4f7; /*#b8e0e5;*/
}
.accordion.orange .accordion-button {
    color: #fff;
    background-color: #ffb112;
    font-size: x-large;
}
.accordion.orange .accordion-body {
    background-color: #ffeabe;
}

#circle {
    background: #efefef;
    border-radius: 50%;
    width: 140px;
    height: 140px;
}

/********************************* KC October 2021 *********************************/
.btn-outline-primary {
    color: #007bff;
    background-color: transparent;
    background-image: none;
    border-color: #007bff;
}
.btn-outline-secondary {
    color: #6c757d;
    background-color: transparent;
    background-image: none;
    border-color: #6c757d;
}
.btn-outline-success {
    color: #28a745;
    background-color: transparent;
    background-image: none;
    border-color: #28a745;
}
.btn-outline-danger {
    color: #dc3545;
    background-color: transparent;
    background-image: none;
    border-color: #dc3545;
}
.btn-outline-warning {
    color: #ffc107;
    background-color: transparent;
    background-image: none;
    border-color: #ffc107;
}
.btn-outline-info {
    color: #17a2b8;
    background-color: transparent;
    background-image: none;
    border-color: #17a2b8;
}
.btn-outline-light {
    color: #f8f9fa;
    background-color: transparent;
    background-image: none;
    border-color: #f8f9fa;
}
.btn-outline-dark {
    color: #343a40;
    background-color: transparent;
    background-image: none;
    border-color: #343a40;
}

.btn-outline-primary {
    color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}
.btn-outline-secondary {
    color: #fff;
    background-color: #6c757d;
    background-image: none;
    border-color: #6c757d;
}
.btn-outline-success {
    color: #fff;
    background-color: #28a745;
    border-color: #28a745;
}
.btn-outline-danger {
    color: #fff;
    background-color: #dc3545;
    border-color: #dc3545;
}
.btn-outline-warning {
    color: #fff;
    background-color: #ffc107;
    border-color: #ffc107;
}
.btn-outline-info {
    color: #fff;
    background-color: #17a2b8;
    border-color: #17a2b8;
}
.btn-outline-light {
    color: #212529;
    background-color: #e2e6ea;
    border-color: #dae0e5;
}
.btn-outline-dark {
    color: #fff;
    background-color: #343a40;
    border-color: #343a40;
}

/* From CNS */
a {
     color: #0058a4;
}
a:hover, a:focus {
     color: #002f58;
     text-decoration: underline;
}
#main + a:hover, #main + a:focus {
     color: #0058a4;
}
a:active, a:focus, a:hover {
     background: #f8d44c;
}
a:active, a:focus, button:active, button:focus, input:active, input:focus {
     outline: solid 0.25em #f8d44c;
     outline-offset: 0;
     text-decoration: none;
}
.d-inline-flex {
    display: inline-flex!important;
}

.alert-block {
  color: #000;
  margin: 1.6875em 0;
  padding: 1.6875em 0;
  border: 1px solid #777777;
  border-width: 1px 0;
  display: grid;
  width: 100%;
  column-gap: 10px;
  grid-template-columns: 2.5em 1fr; }

.alert-block .fa {
  font-size: 2.25em; }

.alert-block p {
  margin: 0.25em 0 0 0; }

.alert-block p + p {
  margin: 1.6875em 0 0 0; }
  
.green-call-to-action, .transition-call-to-action {
    display: block;
    clear: both;
    background: #afdca7 url(/themes/custom/eecd/gargygle.svg) top right no-repeat;
    /*margin: 2em auto;*/
    padding: 1em 2em;
    border-radius: 4px;
}

.blue-call-to-action {
    display: block;
    clear: both;
    padding: 1em 2em;
    border-radius: 4px;
    background: #0d6efd;
    color: #fff;
}

/**
 * end custom css
*/


.messages.messages--error {
    display: none;
}

nav#block-mainnavigation a {
    color: #fff;
}


div#block-eecd-languageswitcher {
    float: right;
}

nav#block-mainnavigation a:hover {
    background-color: #ffc107;
    color: #055a8e;
}

table {
    font-size: inherit;
}

li {
    margin-top: 0.3em;
/*    margin-bottom: 0.6em;*/
}

div#updateddate {
    font-size: small;
    color: slateblue;
}

.navbar-nav {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: row;
    padding-left: .5rem;
    padding-right: .5rem;
    margin-bottom: 0;
    list-style: none;
}

ul.clearfix.nav.navbar-nav li {
    margin-right: 1.5em;
}

ul.clearfix.nav.navbar-nav a, ul.clearfix.nav.navbar-nav .link {
    color: white;
}

ul.clearfix.nav.navbar-nav a:hover {
    background-color: goldenrod;
}

ul.clearfix.nav.navbar-nav a.nav-link.active.is-active {
background: none;
border-bottom: 2px solid white;
text-decoration: none;
}

div#news-alert {
    display: block;
    background: #f8d44c;
    text-align: center;
    margin: 0;
    padding: 0.75em;
    /*float: left;*/
    width: 100%;
}

div#block-languageswitcher {
    float: right;
}

span.fr.nav-link.is-active, span.en.nav-link.is-active {
    font-weight: bold;
}


/********************************* Aptitude Digital Aug 2021 *********************************/

.row.front-page-feature {
	margin-bottom: 30px;
}

.row.front-page-feature:last-of-type {
	margin-bottom: 15px;
}

.view-front-page-news .card {
    margin-bottom: 15px;
    padding: 10px;
    border-left: 5px solid #055a8e;
}

.view-front-page-news .datetime {
    font-weight: bold;
}

.navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%280, 0, 0, 0.5%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
  }

li.nav-item {width: 100%;}

@media (min-width: 992px) {
    li.nav-item {width: auto;}
}

.img-logo {
    height: 69px;
}

.btn.btn-theme {
    color: #fff;
    background-color: #055a8e;
    border-color: #055a8e;
}
.btn.btn-theme:hover{
    background-color: #007bff;
}

a.nav-link.active.is-active {
    text-decoration: underline;
    background-color: #055a8e;
    color: white;
}

ul.menu ul {
    list-style-type: none;
}
a.nav-item.active {
/*    border-bottom: 2px solid #f6f6f2;*/
    text-decoration: underline;
}



.front-page-resource-teaser {
    text-align: center;
}

.table-header-row {
    color: blue;
    font-size: large;
    line-height: 180%;
    background-color: #fefefe;
}
table tr th, table tr th a, table tr th a:hover, table tr th a:focus {
    color: inherit;
    font-weight: bold;
}

li.check:after {
  display: inline-block;
  content: "";
  vertical-align: -.125em;
  background-image: url("data:image/svg+xml,<svg viewBox='0 0 16 16' fill='%23333' xmlns='http://www.w3.org/2000/svg'><path fill-rule='evenodd' d='M8 9.5a1.5 1.5 0 1 0 0-3 1.5 1.5 0 0 0 0 3z' clip-rule='evenodd'/></svg>");
  background-repeat: no-repeat;
  background-size: 1rem 1rem;
}

